/* class comment */!!

inherit(Object, #CLIPStringNode, #(stringToPrint), 2, nil)!!

now(class(CLIPStringNode))!!

now(CLIPStringNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("displayValue(self, ");
  CLICodeCompile(stringToPrint);
  CLICodeCompile("))");
}!!

Def init(self, arg)
{
  stringToPrint := arg;
}!!
